## opencolorio 1.0.8+repack2~dfsg0

=== CMakeLists.txt ===
project(OpenColorIO)
set(OCIO_VERSION_MAJOR 1)
set(OCIO_VERSION_MINOR 0)
set(OCIO_VERSION_PATCH 8)

cmake_minimum_required(VERSION 2.8)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/share/cmake)
if(NOT DEFINED CMAKE_FIRST_RUN)
    SET(CMAKE_FIRST_RUN 1 CACHE INTERNAL "")
endif()

###############################################################################
### GLOBAL ###

option(OCIO_BUILD_SHARED "Set to OFF to disable building the shared core library" ON)
option(OCIO_BUILD_STATIC "Set to OFF to disable building the static core library" ON)
option(OCIO_BUILD_TRUELIGHT "Set to OFF to disable truelight" ON)
option(OCIO_BUILD_APPS "Set to OFF to disable command-line apps" ON)
option(OCIO_BUILD_NUKE "Set to OFF to disable building nuke plugins" ON)
option(OCIO_BUILD_DOCS "Specify whether to build documentation" OFF)
option(OCIO_BUILD_TESTS "Specify whether to build unittests" OFF)
option(OCIO_BUILD_PYGLUE "Specify whether to build python bindings" ON)
option(OCIO_BUILD_JNIGLUE "Specify whether to build java bindings" OFF)
option(OCIO_STATIC_JNIGLUE "Specify whether to statically link ocio to the java bindings" ON)

option(OCIO_USE_SSE "Specify whether to enable SSE CPU performance optimizations" ON)

# Use boost's shared_ptr by default on Windows (as <VS2010 doesn't have it),
# Use std::tr1::shared_ptr by default on other platforms
option(OCIO_USE_BOOST_PTR "Set to ON to enable boost shared_ptr (necessary when tr1 is not available)" WIN32)

option(OCIO_PYGLUE_LINK "If ON, link the Python module to the core shared library" OFF)
option(OCIO_PYGLUE_RESPECT_ABI "If ON, the Python module install path includes Python UCS version" OFF)
option(OCIO_PYGLUE_SONAME "If ON, soname/soversion will be set for Python module library" OFF)
option(OCIO_PYGLUE_LIB_PREFIX "If ON, prefix the Python module with 'lib'" OFF)

if(UNIX AND NOT APPLE)
    option(USE_EXTERNAL_YAML "Use system installed yaml-cpp library." OFF)
    option(USE_EXTERNAL_TINYXML "Use system installed tinyxml library." OFF)
    option(USE_EXTERNAL_LCMS "Use system install lcms2 library." OFF)
endif()

# This does not include the SOVERSION override, on purpose, so that the
# OCIO_VERSION value will be an accurate reflection of the underlying library version.
set(OCIO_VERSION "${OCIO_VERSION_MAJOR}.${OCIO_VERSION_MINOR}.${OCIO_VERSION_PATCH}")

if(NOT SOVERSION)
    set(SOVERSION ${OCIO_VERSION_MAJOR} CACHE STRING "Set the SO version in the SO name of the output library")
endif()

###############################################################################


include(ParseArguments)
include(OCIOMacros)
include(ExternalProject)

enable_language(CXX)

ENABLE_TESTING()

if(APPLE OR IPHONE)
    if(NOT CMAKE_OSX_ARCHITECTURES)
        set(CMAKE_OSX_ARCHITECTURES x86_64 CACHE STRING
            "Setting OSX Architectures, options are: ppc;i386;ppc64;x86_64"
            FORCE)
    endif()
    if(CMAKE_FIRST_RUN)
        message(STATUS "Setting OSX Architectures to: ${CMAKE_OSX_ARCHITECTURES}")
    endif()
endif()

# Set the default built type
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)
if(CMAKE_FIRST_RUN)
    message(STATUS "Setting Build Type to: ${CMAKE_BUILD_TYPE}")
endif()

# Set the default namespace
if(NOT OCIO_NAMESPACE)
  set(OCIO_NAMESPACE OpenColorIO CACHE STRING
      "Specify the master OCIO C++ namespace: Options include OpenColorIO OpenColorIO_<YOURFACILITY> etc."
      FORCE)
endif(NOT OCIO_NAMESPACE)
messageonce("Setting Namespace to: ${OCIO_NAMESPACE}")

# If CMAKE_INSTALL_EXEC_PREFIX is not specified, install binaries
# directly into the regular install prefix
if(NOT CMAKE_INSTALL_EXEC_PREFIX)
    messageonce("Exec prefix not specified, defaulting to ${CMAKE_INSTALL_PREFIX}")
    set(CMAKE_INSTALL_EXEC_PREFIX ${CMAKE_INSTALL_PREFIX})
endif()

messageonce("Use Boost Ptr: ${OCIO_USE_BOOST_PTR}")
if(OCIO_USE_BOOST_PTR)
    set(Boost_ADDITIONAL_VERSIONS "1.49" "1.45" "1.44" "1.43" "1.43.0" "1.42"
                                  "1.42.0" "1.41" "1.41.0" "1.40"
                                  "1.40.0" "1.39" "1.39.0" "1.38"
                                  "1.38.0" "1.37" "1.37.0" "1.34.1"
                                  "1_34_1")
    set(Boost_USE_MULTITHREADED ON)
    find_package(Boost 1.34)
    if(NOT Boost_FOUND)
        message(FATAL_ERROR "OCIO_USE_BOOST_PTR is specified, but a boost installation could not be found.")
    else()
        set(OCIO_USE_BOOST_PTR 1)
    endif()

    set(EXTERNAL_INCLUDE_DIRS ${EXTERNAL_INCLUDE_DIRS} ${Boost_INCLUDE_DIR})
    # set(EXTERNAL_LIBRARIES ${EXTERNAL_LIBRARIES} ${Boost_LIB_DIAGNOSTIC_DEFINITIONS})
else()
    set(OCIO_USE_BOOST_PTR 0)
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
    # Enable a bunch of compiler warnings...
    # http://gcc.gnu.org/onlinedocs/gcc/Warning-Options.html
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wshadow -Wconversion -Wcast-qual -Wformat=2")
    # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
endif(CMAKE_COMPILER_IS_GNUCXX)

if(WIN32)
    if(PYTHON_VERSION AND PYTHON_INCLUDE AND PYTHON_LIB)
        set(EXTDIST_PYTHONPATH ${PYTHON_LIB}/python${PYTHON_VARIANT_PATH}/site-packages)
        set(PYTHONPATH ${EXTDIST_PYTHONPATH};$ENV{PYTHONPATH})
        set(PYTHON_OK YES)
        message(STATUS "Setting Python path to: ${PYTHONPATH}")
    endif()
else()
    # Find Python, used for (possibly) building pyglue, and now to
    # construct the external project path
    OCIOFindPython()

    set(EXTDIST_ROOT ${CMAKE_BINARY_DIR}/ext/dist)
    set(EXTDIST_BINPATH ${EXTDIST_ROOT}/bin)
    if(PYTHON_OK)
        set(EXTDIST_PYTHONPATH ${EXTDIST_ROOT}/lib/python${PYTHON_VERSION}/site-packages)
        set(PYTHONPATH ${EXTDIST_PYTHONPATH}:$ENV{PYTHONPATH})
    endif()
endif()

messageonce("Setting EXTDIST_BINPATH: ${EXTDIST_BINPATH}")
messageonce("Setting EXTDIST_PYTHONPATH: ${EXTDIST_PYTHONPATH}")

###############################################################################
### tinyxml ###

if(USE_EXTERNAL_TINYXML)
    set(TINYXML_VERSION_MIN "2.6.1")
    find_package(TinyXML)
    if(TINYXML_FOUND)
        if(TINYXML_VERSION VERSION_EQUAL ${TINYXML_VERSION_MIN} OR
           TINYXML_VERSION VERSION_GREATER ${TINYXML_VERSION_MIN})
            message(STATUS "External TinyXML will be used.")
        else()
            message(FATAL_ERROR "ERROR: ${TINYXML_VERSION} found, but ${TINYXML_VERSION_MIN} or newer is required.")
        endif()
    else(TINYXML_FOUND)
        message(STATUS "TinyXML was not found. Perhaps you forgot to install the development package?")
    endif(TINYXML_FOUND)

else(USE_EXTERNAL_TINYXML)
    set(TINYXML_VERSION 2_6_1)
    set(TINYXML_CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${PROJECT_BINARY_DIR}/ext/dist)
    if(CMAKE_TOOLCHAIN_FILE)
        set(TINYXML_CMAKE_ARGS ${TINYXML_CMAKE_ARGS} -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE})
    endif()
    ExternalProject_Add(tinyxml
        URL ${CMAKE_SOURCE_DIR}/ext/tinyxml_${TINYXML_VERSION}.tar.gz
        PATCH_COMMAND patch -f -p1 < ${CMAKE_SOURCE_DIR}/ext/tinyxml_${TINYXML_VERSION}.patch
        BINARY_DIR ext/build/tinyxml
        INSTALL_DIR ext/dist
        CMAKE_ARGS ${TINYXML_CMAKE_ARGS}
    )
    if(WIN32)
        set(TINYXML_STATIC_LIBRARIES ${PROJECT_BINARY_DIR}/ext/dist/lib/tinyxml.lib)
    else()
        set(TINYXML_STATIC_LIBRARIES ${PROJECT_BINARY_DIR}/ext/dist/lib/libtinyxml.a)
    endif()
endif(USE_EXTERNAL_TINYXML)
    
###############################################################################
### YAML ###

if(USE_EXTERNAL_YAML)
    # Set minimum yaml version for non-patched sources.
    set(YAML_VERSION_MIN "0.3.0")
    include(FindPkgConfig)
    pkg_check_modules(YAML_CPP yaml-cpp)
    if(YAML_CPP_FOUND)
        if(YAML_CPP_VERSION VERSION_EQUAL ${YAML_VERSION_MIN} OR
           YAML_CPP_VERSION VERSION_GREATER ${YAML_VERSION_MIN})
            message(STATUS "System yaml-cpp library will be used.")
            include_directories(BEFORE ${YAML_CPP_INCLUDE_DIRS})
        else()
            message(FATAL_ERROR "ERROR: yaml-cpp ${YAML_VERSION_MIN} or greater is required.")
        endif()
    else(YAML_CPP_FOUND)
        message(FATAL_ERROR "ERROR: System yaml-cpp library was not found. Make sure the library is installed and the pkg-config file exists.")
    endif(YAML_CPP_FOUND)
else(USE_EXTERNAL_YAML)
    set(YAML_CPP_VERSION 0.3.0)
    set(YAML_CPP_CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${PROJECT_BINARY_DIR}/ext/dist -DYAML_CPP_BUILD_TOOLS:BOOL=FALSE)
    if(CMAKE_TOOLCHAIN_FILE)
        set(YAML_CPP_CMAKE_ARGS ${YAML_CPP_CMAKE_ARGS} -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE})
    endif()
    ExternalProject_Add(YAML_CPP_LOCAL
        URL ${CMAKE_SOURCE_DIR}/ext/yaml-cpp-${YAML_CPP_VERSION}.tar.gz
        BINARY_DIR ext/build/yaml-cpp
        PATCH_COMMAND patch -p1 < ${CMAKE_SOURCE_DIR}/ext/yaml-cpp-${YAML_CPP_VERSION}.patch
        INSTALL_DIR ext/dist
        CMAKE_ARGS ${YAML_CPP_CMAKE_ARGS}
    )
    set(YAML_CPP_INCLUDE_DIRS ${PROJECT_BINARY_DIR}/ext/dist/include)
    set(YAML_CPP_LIBRARY_DIRS ${PROJECT_BINARY_DIR}/ext/dist/lib)
    if(WIN32)
        set(YAML_CPP_STATIC_DEBUG_LIBRARIES ${PROJECT_BINARY_DIR}/ext/dist/lib/libyaml-cppmdd.lib)
        set(YAML_CPP_STATIC_OPTIMIZED_LIBRARIES ${PROJECT_BINARY_DIR}/ext/dist/lib/libyaml-cppmd.lib)
    else()
        set(YAML_CPP_STATIC_GENERAL_LIBRARIES ${PROJECT_BINARY_DIR}/ext/dist/lib/libyaml-cpp.a)
    endif()
endif(USE_EXTERNAL_YAML)



###############################################################################
### Externals ###

set(EXTERNAL_INCLUDE_DIRS ${EXTERNAL_INCLUDE_DIRS} ${PROJECT_BINARY_DIR}/ext/dist/include)
set(EXTERNAL_COMPILE_FLAGS "-DTIXML_USE_STL")

if(CMAKE_COMPILER_IS_GNUCXX)
    
    execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion
                    OUTPUT_VARIABLE GCC_VERSION)
                    
    if (GCC_VERSION VERSION_LESS 4.2)
        message(STATUS "GCC Version < 4.2 - symbol visibility hiding disabled")
        set(EXTERNAL_COMPILE_FLAGS "${EXTERNAL_COMPILE_FLAGS} -fPIC")
    else()
        set(EXTERNAL_COMPILE_FLAGS "${EXTERNAL_COMPILE_FLAGS} -fPIC -fvisibility-inlines-hidden -fvisibility=hidden")
    endif()
endif()

set(EXTERNAL_LINK_FLAGS "")
set(EXTERNAL_LIBRARY_DIRS ${PROJECT_BINARY_DIR}/ext/dist/lib)
set(EXTERNAL_DEBUG_LIBRARIES ${YAML_CPP_STATIC_DEBUG_LIBRARIES})
set(EXTERNAL_OPTIMIZED_LIBRARIES ${YAML_CPP_STATIC_OPTIMIZED_LIBRARIES})
set(EXTERNAL_GENERAL_LIBRARIES ${TINYXML_STATIC_LIBRARIES} ${YAML_CPP_STATIC_GENERAL_LIBRARIES})

###############################################################################
### Documentation ###

messageonce("Generate Documentation: ${OCIO_BUILD_DOCS}")

if(OCIO_BUILD_DOCS)
    if(PYTHON_OK)
        add_subdirectory(docs)
    else()
        message(STATUS "Building the documentation requires Python, but locating Python failed: ${PYTHON_ERR}")
    endif()
endif()

###############################################################################
### SSE ###

messageonce("SSE Optimizations: ${OCIO_USE_SSE}")

if(OCIO_USE_SSE)
    if(WIN32)
        # SSE instructions are automatically compiled into 64-bit applications so enabling the option is redundant and
        # actually produces an unknown option warning in Visual Studio.
        if(NOT CMAKE_CL_64)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /arch:SSE2")
        endif()
    else()
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -msse2")
    endif()
    add_definitions("-DUSE_SSE")
endif()

###############################################################################
### TRUELIGHT ###

if(OCIO_BUILD_TRUELIGHT)
    find_package(Truelight)
    if(TRUELIGHT_FOUND)
        messageonce("Will build the truelight transform support against ${Truelight_LIBRARY_DIR}")
        add_definitions(-DOCIO_TRUELIGHT_SUPPORT)
        set(EXTERNAL_INCLUDE_DIRS ${EXTERNAL_INCLUDE_DIRS} ${Truelight_INCLUDE_DIR})

=== docs/CMakeLists.txt ===

###############################################################################
### External Doc Apps ###

# setuptools
set(SETUPTOOLS_VERSION 0.6c11)
ExternalProject_Add(setuptools
    URL ${CMAKE_SOURCE_DIR}/ext/setuptools-${SETUPTOOLS_VERSION}.tar.gz
    BUILD_IN_SOURCE 1
    CONFIGURE_COMMAND ${CMAKE_COMMAND} -E make_directory ${EXTDIST_PYTHONPATH}
    BUILD_COMMAND PYTHONPATH=${PYTHONPATH} python setup.py build
    INSTALL_COMMAND PYTHONPATH=${PYTHONPATH} python setup.py install --prefix=${EXTDIST_ROOT}
)

# docutils
set(DOCUTILS_VERSION 0.7)
ExternalProject_Add(docutils
    DEPENDS setuptools
    URL ${CMAKE_SOURCE_DIR}/ext/docutils-${DOCUTILS_VERSION}.tar.gz
    BUILD_IN_SOURCE 1
    CONFIGURE_COMMAND ${CMAKE_COMMAND} -E make_directory ${EXTDIST_PYTHONPATH}
    BUILD_COMMAND PYTHONPATH=${PYTHONPATH} python setup.py build
    INSTALL_COMMAND PYTHONPATH=${PYTHONPATH} python setup.py install --prefix=${EXTDIST_ROOT}
)

# jinja2
set(JINJA2_VERSION 2.5.5)
ExternalProject_Add(Jinja2
    DEPENDS setuptools
    URL ${CMAKE_SOURCE_DIR}/ext/Jinja2-${JINJA2_VERSION}.tar.gz
    BUILD_IN_SOURCE 1
    CONFIGURE_COMMAND ${CMAKE_COMMAND} -E make_directory ${EXTDIST_PYTHONPATH}
    BUILD_COMMAND PYTHONPATH=${PYTHONPATH} python setup.py build
    INSTALL_COMMAND PYTHONPATH=${PYTHONPATH} python setup.py install --prefix=${EXTDIST_ROOT}
)

# Pygments
set(PYGMENTS_VERSION 1.3.1)
ExternalProject_Add(Pygments
    DEPENDS setuptools
    URL ${CMAKE_SOURCE_DIR}/ext/Pygments-${PYGMENTS_VERSION}.tar.gz
    BUILD_IN_SOURCE 1
    CONFIGURE_COMMAND ${CMAKE_COMMAND} -E make_directory ${EXTDIST_PYTHONPATH}
    BUILD_COMMAND PYTHONPATH=${PYTHONPATH} python setup.py build
    INSTALL_COMMAND PYTHONPATH=${PYTHONPATH} python setup.py install --prefix=${EXTDIST_ROOT}
)

# sphinx
set(SPHINX_VERSION f52b631f501a) # 1.1pre
ExternalProject_Add(Sphinx
    DEPENDS setuptools docutils Jinja2 Pygments
    URL ${CMAKE_SOURCE_DIR}/ext/sphinx-${SPHINX_VERSION}.tar.gz
    PATCH_COMMAND patch -p1 < ${CMAKE_SOURCE_DIR}/ext/sphinx-${SPHINX_VERSION}.patch
    BUILD_IN_SOURCE 1
    CONFIGURE_COMMAND ${CMAKE_COMMAND} -E make_directory ${EXTDIST_PYTHONPATH}
    BUILD_COMMAND PYTHONPATH=${PYTHONPATH} python setup.py build
    INSTALL_COMMAND PYTHONPATH=${PYTHONPATH} python setup.py install --prefix=${EXTDIST_ROOT} --install-scripts=${EXTDIST_ROOT}/bin
)

###############################################################################
### Create Doc Targets ###

message(STATUS "Create sphinx conf.py from conf.py.in")
configure_file(${CMAKE_SOURCE_DIR}/docs/conf.py.in
    ${CMAKE_BINARY_DIR}/docs/conf.py @ONLY)

message(STATUS "Copying doc to staging area")
file(COPY ${CMAKE_SOURCE_DIR}/docs/ DESTINATION ${CMAKE_BINARY_DIR}/docs)

message(STATUS "Copy extra doc files to staging area")
list(APPEND DOCFILES ${CMAKE_SOURCE_DIR}/README)
list(APPEND DOCFILES ${CMAKE_SOURCE_DIR}/INSTALL)
list(APPEND DOCFILES ${CMAKE_SOURCE_DIR}/ChangeLog)
list(APPEND DOCFILES ${CMAKE_SOURCE_DIR}/LICENSE)
list(APPEND DOCFILES ${CMAKE_SOURCE_DIR}/share/nuke/ocionuke/viewer.py)
CopyFiles(RSTDOC ${DOCFILES})

message(STATUS "Extracting .rst files from C++ headers")
ExtractRstCPP(${CMAKE_SOURCE_DIR}/export/OpenColorIO/OpenColorIO.h developers/api/OpenColorIO.rst)
ExtractRstCPP(${CMAKE_SOURCE_DIR}/export/OpenColorIO/OpenColorTransforms.h developers/api/OpenColorTransforms.rst)
ExtractRstCPP(${CMAKE_SOURCE_DIR}/export/OpenColorIO/OpenColorTypes.h developers/api/OpenColorTypes.rst)

add_custom_target(doc ALL
    COMMAND PYTHONPATH=${PYTHONPATH} ${EXTDIST_BINPATH}/sphinx-build -b html . ${CMAKE_CURRENT_BINARY_DIR}/build-html
    DEPENDS
        OpenColorIO
        PyOpenColorIO
        ${CMAKE_BINARY_DIR}/docs/conf.py
        developers/api/OpenColorIO.rst
        developers/api/OpenColorTransforms.rst
        developers/api/OpenColorTypes.rst
        ${RSTDOC_OUTPUT}
    COMMENT "Building html docs"
    SOURCES ${DOCFILES})

# note: ExternalProject will not build when added to a add_custom_target this
# works around this problem. This seems to be fixed in the cmake ^HEAD
add_dependencies(doc Sphinx) 

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/build-html/
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/OpenColorIO/html
        PATTERN .* EXCLUDE
)

find_package(LATEX)
if(PDFLATEX_COMPILER)
    
    add_custom_target(latex
        COMMAND PYTHONPATH=${PYTHONPATH} ${EXTDIST_BINPATH}/sphinx-build -b latex . ${CMAKE_CURRENT_BINARY_DIR}/build-latex
        DEPENDS
            OpenColorIO
            ${CMAKE_BINARY_DIR}/docs/conf.py
            developers/api/OpenColorIO.rst
            developers/api/OpenColorTransforms.rst
            developers/api/OpenColorTypes.rst
            ${RSTDOC_OUTPUT}
        COMMENT "Building latex doc"
        SOURCES ${DOCFILES})
    add_dependencies(latex Sphinx)
    
    add_custom_target(pdf ALL
        COMMAND ${PDFLATEX_COMPILER} OpenColorIO.tex
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/build-latex
        COMMENT "Building pdf doc"
        SOURCES ${DOCFILES})
    add_dependencies(pdf latex)
    
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/build-latex/OpenColorIO.pdf
            DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/OpenColorIO/)
    
endif()

=== src/core_tests/CMakeLists.txt ===
###############################################################################
### CORE UNIT TESTS ###

add_definitions("-DOCIO_UNIT_TEST")

include_directories(
    ${CMAKE_SOURCE_DIR}/export/
    ${CMAKE_BINARY_DIR}/export/
    ${EXTERNAL_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/ext/oiio/src/include
    )

file( GLOB_RECURSE core_test_src_files "${CMAKE_SOURCE_DIR}/src/core/*.cpp" )

add_executable(ocio_core_tests ${core_test_src_files})

if(USE_EXTERNAL_TINYXML)
    target_link_libraries(ocio_core_tests ${TINYXML_LIBRARIES})
else(USE_EXTERNAL_TINYXML)
    add_dependencies(ocio_core_tests tinyxml)
endif(USE_EXTERNAL_TINYXML)

if(USE_EXTERNAL_YAML)
    target_link_libraries(ocio_core_tests ${YAML_CPP_LIBRARIES})
else(USE_EXTERNAL_YAML)
    add_dependencies(ocio_core_tests  YAML_CPP_LOCAL)
endif(USE_EXTERNAL_YAML)

set_target_properties(ocio_core_tests PROPERTIES
    COMPILE_FLAGS "${EXTERNAL_COMPILE_FLAGS}"
    LINK_FLAGS "${EXTERNAL_LINK_FLAGS}")
if(WIN32)
    target_link_libraries(ocio_core_tests
            debug ${EXTERNAL_DEBUG_LIBRARIES}
            optimized ${EXTERNAL_OPTIMIZED_LIBRARIES}
            general ${EXTERNAL_GENERAL_LIBRARIES})
else()
    target_link_libraries(ocio_core_tests ${EXTERNAL_GENERAL_LIBRARIES})
endif()

###############################################################################
### CTEST ###

set(OCIO_TEST_AREA ${CMAKE_CURRENT_BINARY_DIR})

message(STATUS "Create ocio_core_tests.sh.in from ocio_core_tests.sh")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ocio_core_tests.sh.in
    ${CMAKE_CURRENT_BINARY_DIR}/ocio_core_tests.sh @ONLY)

add_test(NAME ocio_core_tests
    COMMAND /bin/sh ${CMAKE_CURRENT_BINARY_DIR}/ocio_core_tests.sh)

=== src/jniglue/CMakeLists.txt ===

include_directories(
  ${JNI_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/export/
  ${CMAKE_BINARY_DIR}/export/
)

set(JNIOCIO_CLASSES
  # Core
  org.OpenColorIO.ExceptionBase
  org.OpenColorIO.ExceptionMissingFile
  org.OpenColorIO.Globals
  org.OpenColorIO.Config
  org.OpenColorIO.ColorSpace
  org.OpenColorIO.Processor
  org.OpenColorIO.GpuShaderDesc
  org.OpenColorIO.Context
  org.OpenColorIO.Look
  org.OpenColorIO.ImageDesc
  org.OpenColorIO.Transform
  org.OpenColorIO.PackedImageDesc
  org.OpenColorIO.PlanarImageDesc
  org.OpenColorIO.Baker
  # Enums
  org.OpenColorIO.LoggingLevel
  org.OpenColorIO.ColorSpaceDirection
  org.OpenColorIO.TransformDirection
  org.OpenColorIO.Interpolation
  org.OpenColorIO.BitDepth
  org.OpenColorIO.Allocation
  org.OpenColorIO.GpuLanguage
  # Transforms
  org.OpenColorIO.AllocationTransform
  org.OpenColorIO.CDLTransform
  org.OpenColorIO.ColorSpaceTransform
  org.OpenColorIO.DisplayTransform
  org.OpenColorIO.ExponentTransform
  org.OpenColorIO.FileTransform
  org.OpenColorIO.GroupTransform
  org.OpenColorIO.LogTransform
  org.OpenColorIO.LookTransform
  org.OpenColorIO.MatrixTransform
  org.OpenColorIO.TruelightTransform
)

file(GLOB JNIOCIO_JAVAS "org/OpenColorIO/*.java")

message(STATUS "Creating Jar Manifest.txt")
configure_file(${CMAKE_SOURCE_DIR}/src/jniglue/Manifest.txt.in
    ${CMAKE_CURRENT_BINARY_DIR}/Manifest.txt @ONLY)

message(STATUS "Creating LoadLibrary.java")
configure_file(${CMAKE_SOURCE_DIR}/src/jniglue/LoadLibrary.java.in
    ${CMAKE_CURRENT_BINARY_DIR}/LoadLibrary.java @ONLY)
list(APPEND JNIOCIO_JAVAS ${CMAKE_CURRENT_BINARY_DIR}/LoadLibrary.java)

set(JNIOCIO_HEADERS)
set(JNIOCIO_H_INCLUDE "/* DO NOT EDIT THIS FILE - it is machine generated */\n\n")
foreach(_CLASS ${JNIOCIO_CLASSES})
  string(REPLACE "." "_" _CLASS_H ${_CLASS})
  set(_CLASS_H "${_CLASS_H}.h")
  set(JNIOCIO_HEADERS ${JNIOCIO_HEADERS} "${_CLASS_H}")
  set(JNIOCIO_H_INCLUDE "${JNIOCIO_H_INCLUDE}#include \"${_CLASS_H}\"\n")
endforeach()
message(STATUS "Creating OpenColorIOJNI.h that includes all the ocio jni headers")
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/OpenColorIOJNI.h" "${JNIOCIO_H_INCLUDE}")

set(JNIOCIO_JAR "${CMAKE_CURRENT_BINARY_DIR}/OpenColorIO-${OCIO_VERSION}.jar")
add_custom_command(OUTPUT ${JNIOCIO_HEADERS}
                   COMMAND cmake -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/org/OpenColorIO
                   COMMAND ${Java_JAVAC_EXECUTABLE} -cp ${CMAKE_CURRENT_BINARY_DIR} -d ${CMAKE_CURRENT_BINARY_DIR} ${JNIOCIO_JAVAS}
                   COMMAND ${Java_JAVAH_EXECUTABLE} -jni -force ${JNIOCIO_CLASSES}
                   COMMAND ${Java_JAR_EXECUTABLE} vcfm ${JNIOCIO_JAR} Manifest.txt org
                   IMPLICIT_DEPENDS ${JNIOCIO_JAVAS}
                   COMMENT "Compiling .java files, packaged .jar and creating jni C headers")

file(GLOB JNIOCIO_SRC "*.cpp")
add_library(OpenColorIO-JNI SHARED ${JNIOCIO_SRC} ${JNIOCIO_HEADERS})
set_target_properties(OpenColorIO-JNI PROPERTIES
                      VERSION ${OCIO_VERSION}
                      SOVERSION ${SOVERSION})
if(OCIO_STATIC_JNIGLUE)
  target_link_libraries(OpenColorIO-JNI OpenColorIO_STATIC)
else()
  target_link_libraries(OpenColorIO-JNI OpenColorIO)
endif()

add_subdirectory(tests)

install(TARGETS OpenColorIO-JNI DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/lib${LIB_SUFFIX})
install(FILES ${JNIOCIO_JAR} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/ocio/)

=== src/pyglue/CMakeLists.txt ===
if(CMAKE_FIRST_RUN)
    message(STATUS "Python library to include 'lib' prefix: ${OCIO_PYGLUE_LIB_PREFIX}")
endif()

if(CMAKE_FIRST_RUN)
    message(STATUS "Python ${PYTHON_VERSION} okay (UCS: ${PYTHON_UCS}), will build the Python bindings against ${PYTHON_INCLUDE}")
    message(STATUS "Python variant path is ${PYTHON_VARIANT_PATH}")
endif()
    
if(CMAKE_COMPILER_IS_GNUCXX)
    # Python breaks strict-aliasing rules. Disable the warning here.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-strict-aliasing")
endif()

if(NOT WIN32)
    find_package(PythonLibs)
    if(NOT PYTHONLIBS_FOUND)
        message(FATAL "Python libraries were not found, exiting.")
    endif()
    SET(PYTHON_INCLUDES ${PYTHON_INCLUDE_DIRS})
endif()

add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/src/pyglue/PyDoc.h
                  COMMAND ${PYTHON} ${CMAKE_SOURCE_DIR}/src/pyglue/createPyDocH.py ${CMAKE_BINARY_DIR}/src/pyglue/PyDoc.h
                  COMMENT "Creating PyDoc.h")

file( GLOB pyglue_src_files "${CMAKE_SOURCE_DIR}/src/pyglue/*.cpp" )

add_library(PyOpenColorIO MODULE ${pyglue_src_files} ${CMAKE_BINARY_DIR}/src/pyglue/PyDoc.h)

if(OCIO_USE_BOOST_PTR)
    include_directories(
        ${PYTHON_INCLUDE}
        ${Boost_INCLUDE_DIR}
        ${CMAKE_SOURCE_DIR}/export/
        ${CMAKE_BINARY_DIR}/export/
        ${CMAKE_CURRENT_BINARY_DIR}
    )
else()
    include_directories(
        ${PYTHON_INCLUDE}
        ${CMAKE_SOURCE_DIR}/export/
        ${CMAKE_BINARY_DIR}/export/
        ${CMAKE_CURRENT_BINARY_DIR}
    )
endif()

# Exclude the 'lib' prefix from the name.
if(NOT OCIO_PYGLUE_LIB_PREFIX)
    set_property(TARGET PyOpenColorIO
        PROPERTY PREFIX ""
    )
endif()

if(WIN32)
    if(OCIO_PYGLUE_LINK)
    target_link_libraries(PyOpenColorIO OpenColorIO
        debug ${PYTHON_LIB}/python26_d.lib
        optimized ${PYTHON_LIB}/python26.lib)
    else()
    target_link_libraries(PyOpenColorIO OpenColorIO)
    endif(OCIO_PYGLUE_LINK)
else()
    if(OCIO_PYGLUE_LINK)
        message(STATUS "Linking python bindings against: ${PYTHON_LIBRARY}")
        message(STATUS "Python library dirs: ${PYTHON_LIBRARY_DIRS}")
        link_directories(${PYTHON_LIBRARY})
        target_link_libraries(PyOpenColorIO OpenColorIO
            ${PYTHON_LIBRARIES})
    else()
        target_link_libraries(PyOpenColorIO OpenColorIO)
    endif(OCIO_PYGLUE_LINK)
endif()

# PyOpenColorIO so serves dual roles:
# - First, to provide the C API function necessary to act as a cpython module, 
#   (extern "C" PyMODINIT_FUNC initPyOpenColorIO(void)
# - Second, to act as a normal shared library, providing the C++ API functions 
#   to convert between C++ and python representation of the OCIO object.
#
# To fulfill this second role, as a shared libary, we must continue to define
# so version.
#
# TODO: This wont let the normal shared library symbols work on OSX.
# We should explore whether this should be built as a normal dylib, instead
# of as a bundle. See https://github.com/imageworks/OpenColorIO/pull/175

if(OCIO_PYGLUE_SONAME)
    message(STATUS "Setting PyOCIO SOVERSION to: ${SOVERSION}")
    set_target_properties(PyOpenColorIO PROPERTIES
        VERSION ${OCIO_VERSION}
        SOVERSION ${SOVERSION}
    )
endif()

if(APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -undefined dynamic_lookup")
endif()


message("PYTHON_VARIANT_PATH: ${PYTHON_VARIANT_PATH}")

install(TARGETS PyOpenColorIO DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/${PYTHON_VARIANT_PATH})

install(FILES ${CMAKE_SOURCE_DIR}/export/PyOpenColorIO/PyOpenColorIO.h
    DESTINATION ${CMAKE_INSTALL_PREFIX}/include/PyOpenColorIO/)

=== src/apps/ocioconvert/CMakeLists.txt ===
if (OIIO_FOUND)
    include_directories(
        ${CMAKE_SOURCE_DIR}/export/
        ${CMAKE_BINARY_DIR}/export/
        ${CMAKE_SOURCE_DIR}/src/apps/share/
        ${OIIO_INCLUDES}
    )
    
    file(GLOB_RECURSE share_src_files "${CMAKE_SOURCE_DIR}/src/apps/share/*.cpp")
    
    add_executable(ocioconvert ${share_src_files} main.cpp)
    
    target_link_libraries(ocioconvert ${OIIO_LIBRARIES} OpenColorIO dl)
    
    install(TARGETS ocioconvert DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/bin)
endif()

=== src/apps/ociolutimage/CMakeLists.txt ===
if (OIIO_FOUND)
    include_directories(
        ${CMAKE_SOURCE_DIR}/export/
        ${CMAKE_BINARY_DIR}/export/
        ${CMAKE_SOURCE_DIR}/src/apps/share/
        ${OIIO_INCLUDES}
    )
    
    file(GLOB_RECURSE share_src_files "${CMAKE_SOURCE_DIR}/src/apps/share/*.cpp")
    
    add_executable(ociolutimage ${share_src_files} main.cpp)
    
    target_link_libraries(ociolutimage ${OIIO_LIBRARIES} OpenColorIO dl)
    
    install(TARGETS ociolutimage DESTINATION ${CMAKE_INSTALL_EXEC_PREFIX}/bin)
endif()

=== src/jniglue/tests/CMakeLists.txt ===
###############################################################################
### JNI JUNIT TESTS ###


file(GLOB _TESTS_FILES "org/OpenColorIO/*.java")
set(_JCLASS_PATH "${CMAKE_CURRENT_BINARY_DIR}:${CMAKE_CURRENT_BINARY_DIR}/..:${CMAKE_SOURCE_DIR}/ext/junit-4.9b4.jar")
set(_JLIB_PATH "${CMAKE_CURRENT_BINARY_DIR}/..")

add_custom_target(JNITests
                  COMMAND javac -cp ${_JCLASS_PATH}
                    -d ${CMAKE_CURRENT_BINARY_DIR} ${_TESTS_FILES}
                  COMMAND java -cp ${_JCLASS_PATH}
                    -Djava.library.path=${_JLIB_PATH} junit.textui.TestRunner
                    OpenColorIOTestSuite
                  DEPENDS OpenColorIO-JNI
                  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                  COMMENT "Setting Up and Running JNI OCIO JUNIT tests")

## opencolorio 1.0.8+repack1

=== debian/changelog ===
opencolorio (1.0.8+repack1-0ubuntu3) saucy; urgency=low

  * Set -DOCIO_USE_SSE:BOLL=OFF to avoid SSE on non-x86 arches.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 18 Aug 2013 23:21:07 -0600

opencolorio (1.0.8+repack1-0ubuntu2) saucy; urgency=low

  * Build with --with python2

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Jun 2013 16:17:40 +0100

opencolorio (1.0.8+repack1-0ubuntu1) saucy; urgency=low

  * Upload to Ubuntu
  * Add build-depends on libxi-dev and libxmu-dev
  * Set -DOCIO_BUILD_DOCS:BOOL=OFF to avoid compile failures
  * Rebuild tar without ext/ and src/mari/ directory for licence simplicity
  * Complete debian/copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Jun 2013 17:31:48 +0100

opencolorio (1.0.8-1) unstable; urgency=low

  * Initial release.  Based on ubuntu
    "libopencolorio-dev-1.0.8-0irie1~quantal1"
    done by IRIE Shinsuke <irieshinsuke@yahoo.co.jp>
    as found here https://launchpad.net/~irie/+archive/ocio-static

 -- Marcus Watts <mdw@umich.edu>  Sun, 27 Jan 2013 22:25:51 -0500

=== debian/control ===
Source: opencolorio
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Marcus Watts <mdw@umich.edu>
Build-Depends: debhelper (>= 8.0.0),
 cmake,
 pkg-config,
 liblcms2-dev,
 libopenimageio-dev,
 libqt4-opengl-dev,
 libtinyxml-dev,
 libyaml-cpp-dev,
 python-dev,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 libxi-dev,
 libxmu-dev
Standards-Version: 3.9.4
Section: libs
Homepage: http://opencolorio.org
#Vcs-Git: git://git.debian.org/collab-maint/opencolorio.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencolorio.git;a=summary

Package: libopencolorio-dev
Section: libdevel
Architecture: any
Depends: libopencolorio1 (= ${binary:Version}), ${misc:Depends}
Description: complete color management solution - development
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides the development files used to build applications
 using libopencolorio.

Package: libopencolorio1
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},  ${misc:Depends}
Description: complete color management solution - runtime
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides the runtime files used to run applications
 built against libopencolorio.

Package: opencolorio-tools
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: complete color management solution - utilities
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides some utilities.

#Package: opencolorio-doc
#Section: doc
#Architecture: all
#Depends: ${misc:Depends}
#Description: complete color management solution - documentation
# OpenColorIO (OCIO) is a complete color management solution geared
# towards motion picture production with an emphasis on visual effects
# and computer animation. OCIO provides a straightforward and consistent
# user experience across all supporting applications while allowing for
# sophisticated back-end configuration options suitable for high-end
# production usage. OCIO is compatible with the Academy Color Encoding
# Specification (ACES) and is LUT-format agnostic, supporting many
# popular formats.
# .
# OpenColorIO is released as version 1.0 and has been in development
# since 2003. OCIO represents the culmination of years of production
# experience earned on such films as SpiderMan 2 (2004), Surf's Up
# (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
# (2010), and many more. OpenColorIO is natively supported in commercial
# applications like Katana, Mari, Silhouette FX, and others coming soon.
# .
# OpenColorIO is free and is one of several open source projects
# actively sponsored by Sony Imageworks.
# .
# This package provides the documentation.

Package: python-pyopencolorio
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, libopencolorio1
Description: complete color management solution - python bindings
 OpenColorIO (OCIO) is a complete color management solution geared
 towards motion picture production with an emphasis on visual effects
 and computer animation. OCIO provides a straightforward and consistent
 user experience across all supporting applications while allowing for
 sophisticated back-end configuration options suitable for high-end
 production usage. OCIO is compatible with the Academy Color Encoding
 Specification (ACES) and is LUT-format agnostic, supporting many
 popular formats.
 .
 OpenColorIO is released as version 1.0 and has been in development
 since 2003. OCIO represents the culmination of years of production
 experience earned on such films as SpiderMan 2 (2004), Surf's Up
 (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
 (2010), and many more. OpenColorIO is natively supported in commercial
 applications like Katana, Mari, Silhouette FX, and others coming soon.
 .
 OpenColorIO is free and is one of several open source projects
 actively sponsored by Sony Imageworks.
 .
 This package provides Python bindings to the OpenColorIO library.

=== debian/rules ===
#!/usr/bin/make -f

#Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#Uncomment this to turn on all hardening flags
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)


BLDDIR = debian/cmake
%:
	dh $@ -Scmake -B$(BLDDIR) --parallel -X/License.txt --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		-DOCIO_USE_SSE:BOOL=OFF \
		-DOCIO_BUILD_APPS:BOOL=ON \
		-DOCIO_BUILD_DOCS:BOOL=OFF \
		-DOCIO_BUILD_JNIGLUE:BOOL=OFF \
		-DOCIO_BUILD_NUKE:BOOL=OFF \
		-DOCIO_BUILD_PYGLUE:BOOL=ON \
		-DOCIO_BUILD_SHARED:BOOL=ON \
		-DOCIO_BUILD_STATIC:BOOL=ON \
		-DOCIO_BUILD_TESTS:BOOL=OFF \
		-DOCIO_BUILD_TRUELIGHT:BOOL=OFF \
		-DUSE_EXTERNAL_TINYXML:BOOL=ON \
		-DUSE_EXTERNAL_YAML:BOOL=ON

#override_dh_install:
#	mv debian/tmp/usr/share/doc/OpenColorIO debian/tmp/usr/share/doc/opencolorio
#	dh_install

override_dh_auto_clean:
	pyclean .
#	quilt pop -a
	dh_auto_clean

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php opencolorio-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/opencolorio-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/opencolorio-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/opencolorio/opencolorio-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html opencolorio-(.*)\.tar\.gz

## opencolorio 1.0.8+repack2~dfsg0

=== debian/changelog ===
opencolorio (1.0.8+repack2~dfsg0-2.1ubuntu2) trusty; urgency=medium

  * Rebuild against recent openimageio.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 15:16:06 +0100

opencolorio (1.0.8+repack2~dfsg0-2.1ubuntu1) trusty; urgency=medium

  * Fake-sync from debian, remaining changes:
    - use version number >> 1.0.8+repack1-0ubuntu3 (previous ubuntu version number)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 28 Dec 2013 23:04:22 +0000

opencolorio (1.0.8~dfsg0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libboost-dev (Closes: #725533)
  * Build-depend on yaml-cpp0.3, instead of yaml-cpp (0.5).
  * Apply patch from Petr Salinger to fix FTBFS on kFreeBSD (Closes: #719173)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 28 Dec 2013 13:21:02 +0000

opencolorio (1.0.8~dfsg0-2) unstable; urgency=low

  * debian/rules: get-orig-source stuff added
  * debian/rules: useless dh addon removed
  * debian/rules: License.txt duplicate removed
  * debian/rules: SSE optimization disabled (Closes: #719174)
  * debian/libopencolorio1.symbols: file removed (Closes: #719175)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 20 Aug 2013 10:53:19 +0200

opencolorio (1.0.8~dfsg0-1) unstable; urgency=low

  * Initial release (Closes: #700676)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 12 Jun 2013 14:54:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,42 @@
 Source: opencolorio
+Section: libs
 Priority: extra
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marcus Watts <mdw@umich.edu>
-Build-Depends: debhelper (>= 8.0.0),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Matteo F. Vescovi <mfv.debian@gmail.com>
+Build-Depends:
  cmake,
- pkg-config,
+ debhelper (>= 9),
+ junit4,
+ libboost-dev,
+ libglew-dev,
  liblcms2-dev,
  libopenimageio-dev,
  libqt4-opengl-dev,
  libtinyxml-dev,
- libyaml-cpp-dev,
+ libyaml-cpp0.3-dev,
+ pkg-config,
  python-dev,
+ python-docutils,
+ python-jinja2,
+ python-pygments,
+ python-setuptools,
+ python-sphinx,
+ texlive-fonts-recommended,
  texlive-latex-base,
- texlive-latex-recommended,
- texlive-fonts-recommended,
- libxi-dev,
- libxmu-dev
+ texlive-latex-extra,
+ texlive-latex-recommended
+X-Python-Version: >= 2.7
 Standards-Version: 3.9.4
-Section: libs
 Homepage: http://opencolorio.org
-#Vcs-Git: git://git.debian.org/collab-maint/opencolorio.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencolorio.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-phototools/opencolorio.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/opencolorio.git
 
 Package: libopencolorio-dev
 Section: libdevel
 Architecture: any
-Depends: libopencolorio1 (= ${binary:Version}), ${misc:Depends}
+Depends: libopencolorio1 (= ${binary:Version}),
+         ${misc:Depends}
 Description: complete color management solution - development
  OpenColorIO (OCIO) is a complete color management solution geared
  towards motion picture production with an emphasis on visual effects
@@ -52,7 +63,8 @@
 Package: libopencolorio1
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends},  ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: complete color management solution - runtime
  OpenColorIO (OCIO) is a complete color management solution geared
  towards motion picture production with an emphasis on visual effects
@@ -79,7 +91,8 @@
 Package: opencolorio-tools
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: complete color management solution - utilities
  OpenColorIO (OCIO) is a complete color management solution geared
  towards motion picture production with an emphasis on visual effects
@@ -102,36 +115,41 @@
  .
  This package provides some utilities.
 
-#Package: opencolorio-doc
-#Section: doc
-#Architecture: all
-#Depends: ${misc:Depends}
-#Description: complete color management solution - documentation
-# OpenColorIO (OCIO) is a complete color management solution geared
-# towards motion picture production with an emphasis on visual effects
-# and computer animation. OCIO provides a straightforward and consistent
-# user experience across all supporting applications while allowing for
-# sophisticated back-end configuration options suitable for high-end
-# production usage. OCIO is compatible with the Academy Color Encoding
-# Specification (ACES) and is LUT-format agnostic, supporting many
-# popular formats.
-# .
-# OpenColorIO is released as version 1.0 and has been in development
-# since 2003. OCIO represents the culmination of years of production
-# experience earned on such films as SpiderMan 2 (2004), Surf's Up
-# (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
-# (2010), and many more. OpenColorIO is natively supported in commercial
-# applications like Katana, Mari, Silhouette FX, and others coming soon.
-# .
-# OpenColorIO is free and is one of several open source projects
-# actively sponsored by Sony Imageworks.
-# .
-# This package provides the documentation.
+Package: opencolorio-doc
+Section: doc
+Architecture: all
+Depends: libjs-jquery,
+         libjs-underscore,
+         ${misc:Depends}
+Description: complete color management solution - documentation
+ OpenColorIO (OCIO) is a complete color management solution geared
+ towards motion picture production with an emphasis on visual effects
+ and computer animation. OCIO provides a straightforward and consistent
+ user experience across all supporting applications while allowing for
+ sophisticated back-end configuration options suitable for high-end
+ production usage. OCIO is compatible with the Academy Color Encoding
+ Specification (ACES) and is LUT-format agnostic, supporting many
+ popular formats.
+ .
+ OpenColorIO is released as version 1.0 and has been in development
+ since 2003. OCIO represents the culmination of years of production
+ experience earned on such films as SpiderMan 2 (2004), Surf's Up
+ (2007), Cloudy with a Chance of Meatballs (2009), Alice in Wonderland
+ (2010), and many more. OpenColorIO is natively supported in commercial
+ applications like Katana, Mari, Silhouette FX, and others coming soon.
+ .
+ OpenColorIO is free and is one of several open source projects
+ actively sponsored by Sony Imageworks.
+ .
+ This package provides the documentation.
 
 Package: python-pyopencolorio
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, libopencolorio1
+Depends: libopencolorio1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
 Description: complete color management solution - python bindings
  OpenColorIO (OCIO) is a complete color management solution geared
  towards motion picture production with an emphasis on visual effects

=== debian/rules ===
#!/usr/bin/make -f

CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export REPACK_SH=$(CURDIR)/debian/repack.sh
BLDDIR = debian/cmake
INSTDIR = debian/tmp

%:
	dh $@ -Scmake -B$(BLDDIR) --parallel --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_CXX_FLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		-DOCIO_BUILD_DOCS=ON \
		-DOCIO_BUILD_NUKE=OFF \
		-DOCIO_BUILD_STATIC=OFF \
		-DOCIO_BUILD_TESTS=OFF \
		-DOCIO_BUILD_TRUELIGHT=OFF \
		-DOCIO_USE_SSE=OFF \
		-DUSE_EXTERNAL_TINYXML=ON \
		-DUSE_EXTERNAL_YAML=ON

override_dh_auto_install:
	dh_auto_install
	rm -f $(INSTDIR)/usr/share/doc/OpenColorIO/html/_sources/License.txt
	rm -f $(INSTDIR)/usr/share/doc/OpenColorIO/html/_static/jquery.js
	rm -f $(INSTDIR)/usr/share/doc/OpenColorIO/html/_static/underscore.js

override_dh_install:
	mv $(INSTDIR)/usr/share/doc/OpenColorIO $(INSTDIR)/usr/share/doc/opencolorio
	dh_install

override_dh_auto_clean:
	pyclean .
	dh_auto_clean

get-orig-source:
	uscan --force-download
